diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/visualizer/visualizer/plugins/interface_statistics.py ns-3.41/src/visualizer/visualizer/plugins/interface_statistics.py
--- ns-3.40/src/visualizer/visualizer/plugins/interface_statistics.py	2023-09-27 13:30:37.894839800 -0700
+++ ns-3.41/src/visualizer/visualizer/plugins/interface_statistics.py	2024-02-09 14:44:08.561794800 -0800
@@ -13,6 +13,7 @@
     """
     Collects interface statistics for all nodes.
     """
+
     ## @var node_statistics
     #  node statistics
     ## @var visualizer
@@ -21,8 +22,16 @@
     ## NetDevStats class
     class NetDevStats(object):
         ## class members
-        __slots__ = ['rxPackets', 'rxBytes', 'txPackets', 'txBytes',
-                     'rxPacketRate', 'rxBitRate', 'txPacketRate', 'txBitRate']
+        __slots__ = [
+            "rxPackets",
+            "rxBytes",
+            "txPackets",
+            "txBytes",
+            "rxPacketRate",
+            "rxBitRate",
+            "txPacketRate",
+            "txBitRate",
+        ]
 
     def __init__(self, visualizer):
         """!
@@ -30,7 +39,7 @@
         @param self this object
         @param visualizer visualizer object
         """
-        self.node_statistics = {} # nodeid -> list(raw statistics)
+        self.node_statistics = {}  # nodeid -> list(raw statistics)
         self.visualizer = visualizer
 
     def simulation_periodic_update(self, viz):
@@ -66,7 +75,7 @@
         if len(raw_stats_list) < NODE_STATISTICS_MEMORY:
             return []
         assert len(raw_stats_list) == NODE_STATISTICS_MEMORY
-        tx_packets1 = [] # transmitted packets, one value per interface
+        tx_packets1 = []  # transmitted packets, one value per interface
         rx_packets1 = []
         tx_bytes1 = []
         rx_bytes1 = []
@@ -78,7 +87,7 @@
 
         retval = []
 
-        k = self.visualizer.sample_period*(NODE_STATISTICS_MEMORY-1)
+        k = self.visualizer.sample_period * (NODE_STATISTICS_MEMORY - 1)
         for iface, stats in enumerate(raw_stats_list[-1]):
             outStat = self.NetDevStats()
             outStat.txPackets = stats.transmittedPackets
@@ -86,10 +95,10 @@
             outStat.rxPackets = stats.receivedPackets
             outStat.rxBytes = stats.receivedBytes
 
-            outStat.txPacketRate = (stats.transmittedPackets - tx_packets1[iface])/k
-            outStat.rxPacketRate = (stats.receivedPackets - rx_packets1[iface])/k
-            outStat.txBitRate = (stats.transmittedBytes - tx_bytes1[iface])*8/k
-            outStat.rxBitRate = (stats.receivedBytes - rx_bytes1[iface])*8/k
+            outStat.txPacketRate = (stats.transmittedPackets - tx_packets1[iface]) / k
+            outStat.rxPacketRate = (stats.receivedPackets - rx_packets1[iface]) / k
+            outStat.txBitRate = (stats.transmittedBytes - tx_bytes1[iface]) * 8 / k
+            outStat.rxBitRate = (stats.receivedBytes - rx_bytes1[iface]) * 8 / k
             retval.append(outStat)
         return retval
 
@@ -108,19 +117,36 @@
     #  visualizer node
     ## @var table_model
     #  table model
+    ## @var _response_cb
+    #  _response_cb function
+    ## @var COLUMN_INTERFACE
+    #  COLUMN_INTERFACE constant
+    ## @var COLUMN_TX_PACKETS
+    #  COLUMN_TX_PACKETS constant
+    ## @var COLUMN_TX_BYTES
+    #  COLUMN_TX_BYTES constant
+    ## @var COLUMN_TX_PACKET_RATE
+    #  COLUMN_TX_PACKET_RATE constant
+    ## @var COLUMN_TX_BIT_RATE
+    #  COLUMN_TX_BIT_RATE constant
+    ## @var COLUMN_RX_PACKETS
+    #  COLUMN_RX_PACKETS constant
+    ## @var COLUMN_RX_BYTES
+    #  COLUMN_RX_BYTES constant
+    ## @var COLUMN_RX_PACKET_RATE
+    #  COLUMN_RX_PACKET_RATE constant
+    ## @var COLUMN_RX_BIT_RATE
+    #  COLUMN_RX_BIT_RATE constant
     (
         COLUMN_INTERFACE,
-
         COLUMN_TX_PACKETS,
         COLUMN_TX_BYTES,
         COLUMN_TX_PACKET_RATE,
         COLUMN_TX_BIT_RATE,
-
         COLUMN_RX_PACKETS,
         COLUMN_RX_BYTES,
         COLUMN_RX_PACKET_RATE,
         COLUMN_RX_BIT_RATE,
-
     ) = range(9)
 
     def __init__(self, visualizer, node_index, statistics_collector):
@@ -132,9 +158,11 @@
         @param statistics_collector statistics collector class
         """
         InformationWindow.__init__(self)
-        self.win = Gtk.Dialog(parent=visualizer.window,
-                              flags=Gtk.DialogFlags.DESTROY_WITH_PARENT,
-                              buttons=("_Close", Gtk.ResponseType.CLOSE))
+        self.win = Gtk.Dialog(
+            parent=visualizer.window,
+            flags=Gtk.DialogFlags.DESTROY_WITH_PARENT,
+            buttons=("_Close", Gtk.ResponseType.CLOSE),
+        )
         self.win.connect("response", self._response_cb)
         self.win.set_title("Statistics for node %i" % node_index)
         self.visualizer = visualizer
@@ -142,7 +170,7 @@
         self.node_index = node_index
         self.viz_node = visualizer.get_node(node_index)
 
-        self.table_model = Gtk.ListStore(*([str]*13))
+        self.table_model = Gtk.ListStore(*([str] * 13))
 
         treeview = Gtk.TreeView(self.table_model)
         treeview.show()
@@ -193,23 +221,30 @@
             interface_name = ns.Names.FindName(netdevice)
             if not interface_name:
                 interface_name = "(interface %i)" % iface
-            self.table_model.set(tree_iter,
-                                 self.COLUMN_INTERFACE, interface_name,
-
-                                 self.COLUMN_TX_PACKETS, str(stats.txPackets),
-                                 self.COLUMN_TX_BYTES, str(stats.txBytes),
-                                 self.COLUMN_TX_PACKET_RATE, str(stats.txPacketRate),
-                                 self.COLUMN_TX_BIT_RATE, str(stats.txBitRate),
-
-                                 self.COLUMN_RX_PACKETS, str(stats.rxPackets),
-                                 self.COLUMN_RX_BYTES, str(stats.rxBytes),
-                                 self.COLUMN_RX_PACKET_RATE, str(stats.rxPacketRate),
-                                 self.COLUMN_RX_BIT_RATE, str(stats.rxBitRate)
-                                 )
+            self.table_model.set(
+                tree_iter,
+                self.COLUMN_INTERFACE,
+                interface_name,
+                self.COLUMN_TX_PACKETS,
+                str(stats.txPackets),
+                self.COLUMN_TX_BYTES,
+                str(stats.txBytes),
+                self.COLUMN_TX_PACKET_RATE,
+                str(stats.txPacketRate),
+                self.COLUMN_TX_BIT_RATE,
+                str(stats.txBitRate),
+                self.COLUMN_RX_PACKETS,
+                str(stats.rxPackets),
+                self.COLUMN_RX_BYTES,
+                str(stats.rxBytes),
+                self.COLUMN_RX_PACKET_RATE,
+                str(stats.rxPacketRate),
+                self.COLUMN_RX_BIT_RATE,
+                str(stats.rxBitRate),
+            )
 
 
 def populate_node_menu(viz, node, menu, statistics_collector):
-
     menu_item = Gtk.MenuItem("Show Interface Statistics")
     menu_item.show()
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/visualizer/visualizer/plugins/ipv4_routing_table.py ns-3.41/src/visualizer/visualizer/plugins/ipv4_routing_table.py
--- ns-3.40/src/visualizer/visualizer/plugins/ipv4_routing_table.py	2023-09-27 13:30:37.894839800 -0700
+++ ns-3.41/src/visualizer/visualizer/plugins/ipv4_routing_table.py	2024-02-09 14:44:08.561794800 -0800
@@ -5,6 +5,7 @@
 except ModuleNotFoundError:
     from visualizer.base import InformationWindow
 
+
 ## ShowIpv4RoutingTable class
 class ShowIpv4RoutingTable(InformationWindow):
     ## @var win
@@ -15,12 +16,24 @@
     #  node index
     ## @var table_model
     #  table model
+    ## @var _response_cb
+    #  _response_cb function
+    ## @var COLUMN_DESTINATION
+    #  COLUMN_DESTINATION constant
+    ## @var COLUMN_NEXT_HOP
+    #  COLUMN_NEXT_HOP constant
+    ## @var COLUMN_INTERFACE
+    #  COLUMN_INTERFACE constant
+    ## @var COLUMN_TYPE
+    #  COLUMN_TYPE constant
+    ## @var COLUMN_PRIO
+    #  COLUMN_PRIO constant
     (
         COLUMN_DESTINATION,
         COLUMN_NEXT_HOP,
         COLUMN_INTERFACE,
         COLUMN_TYPE,
-        COLUMN_PRIO
+        COLUMN_PRIO,
     ) = range(5)
 
     def __init__(self, visualizer, node_index):
@@ -31,9 +44,11 @@
         @param node_index the node index
         """
         InformationWindow.__init__(self)
-        self.win = Gtk.Dialog(parent=visualizer.window,
-                              flags=Gtk.DialogFlags.DESTROY_WITH_PARENT,
-                              buttons=("_Close", Gtk.ResponseType.CLOSE))
+        self.win = Gtk.Dialog(
+            parent=visualizer.window,
+            flags=Gtk.DialogFlags.DESTROY_WITH_PARENT,
+            buttons=("_Close", Gtk.ResponseType.CLOSE),
+        )
         self.win.connect("response", self._response_cb)
         self.win.set_title("IPv4 routing table for node %i" % node_index)
         self.visualizer = visualizer
@@ -44,36 +59,34 @@
         treeview = Gtk.TreeView(self.table_model)
         treeview.show()
         sw = Gtk.ScrolledWindow()
-        sw.set_properties(hscrollbar_policy=Gtk.PolicyType.AUTOMATIC,
-                          vscrollbar_policy=Gtk.PolicyType.AUTOMATIC)
+        sw.set_properties(
+            hscrollbar_policy=Gtk.PolicyType.AUTOMATIC, vscrollbar_policy=Gtk.PolicyType.AUTOMATIC
+        )
         sw.show()
         sw.add(treeview)
         self.win.vbox.add(sw)
         self.win.set_default_size(600, 300)
 
         # Dest.
-        column = Gtk.TreeViewColumn('Destination', Gtk.CellRendererText(),
-                                    text=self.COLUMN_DESTINATION)
+        column = Gtk.TreeViewColumn(
+            "Destination", Gtk.CellRendererText(), text=self.COLUMN_DESTINATION
+        )
         treeview.append_column(column)
 
         # Next hop
-        column = Gtk.TreeViewColumn('Next hop', Gtk.CellRendererText(),
-                                    text=self.COLUMN_NEXT_HOP)
+        column = Gtk.TreeViewColumn("Next hop", Gtk.CellRendererText(), text=self.COLUMN_NEXT_HOP)
         treeview.append_column(column)
 
         # Interface
-        column = Gtk.TreeViewColumn('Interface', Gtk.CellRendererText(),
-                                    text=self.COLUMN_INTERFACE)
+        column = Gtk.TreeViewColumn("Interface", Gtk.CellRendererText(), text=self.COLUMN_INTERFACE)
         treeview.append_column(column)
 
         # Type
-        column = Gtk.TreeViewColumn('Type', Gtk.CellRendererText(),
-                                    text=self.COLUMN_TYPE)
+        column = Gtk.TreeViewColumn("Type", Gtk.CellRendererText(), text=self.COLUMN_TYPE)
         treeview.append_column(column)
 
         # Prio
-        column = Gtk.TreeViewColumn('Prio', Gtk.CellRendererText(),
-                                    text=self.COLUMN_PRIO)
+        column = Gtk.TreeViewColumn("Prio", Gtk.CellRendererText(), text=self.COLUMN_PRIO)
         treeview.append_column(column)
 
         self.visualizer.add_information_window(self)
@@ -102,7 +115,7 @@
         if routing is None:
             return
 
-        routing_protocols = [] # list of (protocol, type_string, priority)
+        routing_protocols = []  # list of (protocol, type_string, priority)
 
         if isinstance(routing, ns.Ipv4StaticRouting):
             ipv4_routing = routing_protocols.append((routing, "static", 0))
@@ -124,17 +137,24 @@
                 tree_iter = self.table_model.append()
                 netdevice = ipv4.GetNetDevice(route.GetInterface())
                 if netdevice is None:
-                    interface_name = 'lo'
+                    interface_name = "lo"
                 else:
                     interface_name = ns.Names.FindName(netdevice)
                     if not interface_name:
                         interface_name = "(interface %i)" % route.GetInterface()
-                self.table_model.set(tree_iter,
-                                     self.COLUMN_DESTINATION, str(route.GetDest()),
-                                     self.COLUMN_NEXT_HOP, str(route.GetGateway()),
-                                     self.COLUMN_INTERFACE, interface_name,
-                                     self.COLUMN_TYPE, type_string,
-                                     self.COLUMN_PRIO, prio)
+                self.table_model.set(
+                    tree_iter,
+                    self.COLUMN_DESTINATION,
+                    str(route.GetDest()),
+                    self.COLUMN_NEXT_HOP,
+                    str(route.GetGateway()),
+                    self.COLUMN_INTERFACE,
+                    interface_name,
+                    self.COLUMN_TYPE,
+                    type_string,
+                    self.COLUMN_PRIO,
+                    prio,
+                )
 
 
 def populate_node_menu(viz, node, menu):
@@ -147,5 +167,6 @@
     menu_item.connect("activate", _show_ipv4_routing_table)
     menu.add(menu_item)
 
+
 def register(viz):
     viz.connect("populate-node-menu", populate_node_menu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/visualizer/visualizer/plugins/olsr.py ns-3.41/src/visualizer/visualizer/plugins/olsr.py
--- ns-3.40/src/visualizer/visualizer/plugins/olsr.py	2023-09-27 13:30:37.894839800 -0700
+++ ns-3.41/src/visualizer/visualizer/plugins/olsr.py	2024-02-09 14:44:08.561794800 -0800
@@ -1,11 +1,11 @@
-from gi.repository import Gtk
-from gi.repository import Gdk
+from gi.repository import Gdk, Gtk
 
 try:
     from ns3.visualizer.base import InformationWindow
 except ModuleNotFoundError:
     from visualizer.base import InformationWindow
 
+
 ## ShowOlsrRoutingTable class
 class ShowOlsrRoutingTable(InformationWindow):
     ## @var win
@@ -16,6 +16,16 @@
     #  node index
     ## @var table_model
     #  table model
+    ## @var _response_cb
+    #  _response_cb function
+    ## @var COLUMN_DESTINATION
+    #  COLUMN_DESTINATION constant
+    ## @var COLUMN_NEXT_HOP
+    #  COLUMN_NEXT_HOP constant
+    ## @var COLUMN_INTERFACE
+    #  COLUMN_INTERFACE constant
+    ## @var COLUMN_NUM_HOPS
+    #  COLUMN_NUM_HOPS constant
     (
         COLUMN_DESTINATION,
         COLUMN_NEXT_HOP,
@@ -31,10 +41,12 @@
         @param node_index the node index
         """
         InformationWindow.__init__(self)
-        self.win = Gtk.Dialog(parent=visualizer.window,
-                              flags=Gtk.DialogFlags.DESTROY_WITH_PARENT,
-                              buttons=("_Close", Gtk.ResponseType.CLOSE))
-        self.win.set_default_size(Gdk.Screen.width()/2, Gdk.Screen.height()/2)
+        self.win = Gtk.Dialog(
+            parent=visualizer.window,
+            flags=Gtk.DialogFlags.DESTROY_WITH_PARENT,
+            buttons=("_Close", Gtk.ResponseType.CLOSE),
+        )
+        self.win.set_default_size(Gdk.Screen.width() / 2, Gdk.Screen.height() / 2)
         self.win.connect("response", self._response_cb)
         self.win.set_title("OLSR routing table for node %i" % node_index)
         self.visualizer = visualizer
@@ -45,30 +57,29 @@
         treeview = Gtk.TreeView(self.table_model)
         treeview.show()
         sw = Gtk.ScrolledWindow()
-        sw.set_properties(hscrollbar_policy=Gtk.PolicyType.AUTOMATIC,
-                          vscrollbar_policy=Gtk.PolicyType.AUTOMATIC)
+        sw.set_properties(
+            hscrollbar_policy=Gtk.PolicyType.AUTOMATIC, vscrollbar_policy=Gtk.PolicyType.AUTOMATIC
+        )
         sw.show()
         sw.add(treeview)
         self.win.vbox.add(sw)
 
         # Dest.
-        column = Gtk.TreeViewColumn('Destination', Gtk.CellRendererText(),
-                                    text=self.COLUMN_DESTINATION)
+        column = Gtk.TreeViewColumn(
+            "Destination", Gtk.CellRendererText(), text=self.COLUMN_DESTINATION
+        )
         treeview.append_column(column)
 
         # Next hop
-        column = Gtk.TreeViewColumn('Next hop', Gtk.CellRendererText(),
-                                    text=self.COLUMN_NEXT_HOP)
+        column = Gtk.TreeViewColumn("Next hop", Gtk.CellRendererText(), text=self.COLUMN_NEXT_HOP)
         treeview.append_column(column)
 
         # Interface
-        column = Gtk.TreeViewColumn('Interface', Gtk.CellRendererText(),
-                                    text=self.COLUMN_INTERFACE)
+        column = Gtk.TreeViewColumn("Interface", Gtk.CellRendererText(), text=self.COLUMN_INTERFACE)
         treeview.append_column(column)
 
         # Num. Hops
-        column = Gtk.TreeViewColumn('Num. Hops', Gtk.CellRendererText(),
-                                    text=self.COLUMN_NUM_HOPS)
+        column = Gtk.TreeViewColumn("Num. Hops", Gtk.CellRendererText(), text=self.COLUMN_NUM_HOPS)
         treeview.append_column(column)
 
         self.visualizer.add_information_window(self)
@@ -102,16 +113,22 @@
             tree_iter = self.table_model.append()
             netdevice = ipv4.GetNetDevice(route.interface)
             if netdevice is None:
-                interface_name = 'lo'
+                interface_name = "lo"
             else:
                 interface_name = ns.Names.FindName(netdevice)
                 if not interface_name:
                     interface_name = "(interface %i)" % route.interface
-            self.table_model.set(tree_iter,
-                                 self.COLUMN_DESTINATION, str(route.destAddr),
-                                 self.COLUMN_NEXT_HOP, str(route.nextAddr),
-                                 self.COLUMN_INTERFACE, interface_name,
-                                 self.COLUMN_NUM_HOPS, route.distance)
+            self.table_model.set(
+                tree_iter,
+                self.COLUMN_DESTINATION,
+                str(route.destAddr),
+                self.COLUMN_NEXT_HOP,
+                str(route.nextAddr),
+                self.COLUMN_INTERFACE,
+                interface_name,
+                self.COLUMN_NUM_HOPS,
+                route.distance,
+            )
 
 
 def populate_node_menu(viz, node, menu):
@@ -129,5 +146,6 @@
     menu_item.connect("activate", _show_ipv4_routing_table)
     menu.add(menu_item)
 
+
 def register(viz):
     viz.connect("populate-node-menu", populate_node_menu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/visualizer/visualizer/plugins/show_last_packets.py ns-3.41/src/visualizer/visualizer/plugins/show_last_packets.py
--- ns-3.40/src/visualizer/visualizer/plugins/show_last_packets.py	2023-09-27 13:30:37.894839800 -0700
+++ ns-3.41/src/visualizer/visualizer/plugins/show_last_packets.py	2024-02-09 14:44:08.561794800 -0800
@@ -1,14 +1,21 @@
-from gi.repository import GObject
-from gi.repository import Gtk
+from gi.repository import GObject, Gtk
 
-from ns import ns
+try:
+    from ns import ns
+except ModuleNotFoundError:
+    raise SystemExit(
+        "Error: ns3 Python module not found;"
+        " Python bindings may not be enabled"
+        " or your PYTHONPATH might not be properly configured"
+    )
 
 try:
     from ns3.visualizer.base import InformationWindow
 except ModuleNotFoundError:
     from visualizer.base import InformationWindow
 
-from kiwi.ui.objectlist import ObjectList, Column
+from kiwi.ui.objectlist import Column, ObjectList
+
 
 ## ShowLastPackets class
 class ShowLastPackets(InformationWindow):
@@ -36,18 +43,30 @@
     #  AND button
     ## @var op_OR_button
     #  OR button
+    ## @var _response_cb
+    #  _response_cb function
+
     class PacketList(Gtk.ScrolledWindow):
         """
         PacketList class
         """
+
         ## @var table_model
         #  table model
+        ## @var COLUMN_TIME
+        #  COLUMN_TIME constant
+        ## @var COLUMN_INTERFACE
+        #  COLUMN_INTERFACE constant
+        ## @var COLUMN_SIZE
+        #  COLUMN_SIZE constant
+        ## @var COLUMN_CONTENTS
+        #  COLUMN_CONTENTS constant
         (
             COLUMN_TIME,
             COLUMN_INTERFACE,
             COLUMN_SIZE,
             COLUMN_CONTENTS,
-            ) = range(4)
+        ) = range(4)
 
         def __init__(self):
             """
@@ -55,9 +74,11 @@
             @param self this object
             """
             super(ShowLastPackets.PacketList, self).__init__()
-            self.set_properties(hscrollbar_policy=Gtk.PolicyType.AUTOMATIC,
-                                vscrollbar_policy=Gtk.PolicyType.AUTOMATIC)
-            self.table_model = Gtk.ListStore(*([str]*4))
+            self.set_properties(
+                hscrollbar_policy=Gtk.PolicyType.AUTOMATIC,
+                vscrollbar_policy=Gtk.PolicyType.AUTOMATIC,
+            )
+            self.table_model = Gtk.ListStore(*([str] * 4))
             treeview = Gtk.TreeView(self.table_model)
             treeview.show()
             self.add(treeview)
@@ -88,13 +109,17 @@
                     interface_name = ns.core.Names.FindName(sample.device)
                     if not interface_name:
                         interface_name = "(interface %i)" % sample.device.GetIfIndex()
-                self.table_model.set(tree_iter,
-                                     self.COLUMN_TIME, str(sample.time.GetSeconds()),
-                                     self.COLUMN_INTERFACE, interface_name,
-                                     self.COLUMN_SIZE, str(sample.packet.GetSize ()),
-                                     self.COLUMN_CONTENTS, str(sample.packet)
-                                     )
-
+                self.table_model.set(
+                    tree_iter,
+                    self.COLUMN_TIME,
+                    str(sample.time.GetSeconds()),
+                    self.COLUMN_INTERFACE,
+                    interface_name,
+                    self.COLUMN_SIZE,
+                    str(sample.packet.GetSize()),
+                    self.COLUMN_CONTENTS,
+                    str(sample.packet),
+                )
 
     def __init__(self, visualizer, node_index):
         """!
@@ -104,9 +129,11 @@
         @param node_index the node index
         """
         InformationWindow.__init__(self)
-        self.win = Gtk.Dialog(parent=visualizer.window,
-                              flags=Gtk.DialogFlags.DESTROY_WITH_PARENT,
-                              buttons=("_Close", Gtk.ResponseType.CLOSE))
+        self.win = Gtk.Dialog(
+            parent=visualizer.window,
+            flags=Gtk.DialogFlags.DESTROY_WITH_PARENT,
+            buttons=("_Close", Gtk.ResponseType.CLOSE),
+        )
         self.win.connect("response", self._response_cb)
         self.win.set_title("Last packets for node %i" % node_index)
         self.visualizer = visualizer
@@ -115,9 +142,13 @@
 
         def smart_expand(expander, vbox):
             if expander.get_expanded():
-                vbox.set_child_packing(expander, expand=True, fill=True, padding=0, pack_type=Gtk.PACK_START)
+                vbox.set_child_packing(
+                    expander, expand=True, fill=True, padding=0, pack_type=Gtk.PACK_START
+                )
             else:
-                vbox.set_child_packing(expander, expand=False, fill=False, padding=0, pack_type=Gtk.PACK_START)
+                vbox.set_child_packing(
+                    expander, expand=False, fill=False, padding=0, pack_type=Gtk.PACK_START
+                )
 
         main_hbox = Gtk.HBox(False, 4)
         main_hbox.show()
@@ -150,7 +181,6 @@
         main_vbox.pack_start(group, expand=False, fill=False)
         group.connect_after("activate", smart_expand, main_vbox)
 
-
         # Packet Filter
 
         # - options
@@ -169,17 +199,20 @@
         sel_buttons_box.add(select_all_button)
         sel_buttons_box.add(select_none_button)
 
-        self.packet_filter_widget = ObjectList([
-                Column('selected', title="Sel.", data_type=bool, editable=True),
-                Column('name', title="Header"),
-                ], sortable=True)
+        self.packet_filter_widget = ObjectList(
+            [
+                Column("selected", title="Sel.", data_type=bool, editable=True),
+                Column("name", title="Header"),
+            ],
+            sortable=True,
+        )
         self.packet_filter_widget.show()
         packet_filter_vbox.pack_start(self.packet_filter_widget, True, True, 4)
 
         class TypeIdConfig(object):
-            __slots__ = ['name', 'selected', 'typeid']
+            __slots__ = ["name", "selected", "typeid"]
 
-        self.packet_filter_list = [] # list of TypeIdConfig instances
+        self.packet_filter_list = []  # list of TypeIdConfig instances
 
         Header = ns.core.TypeId.LookupByName("ns3::Header")
         Trailer = ns.core.TypeId.LookupByName("ns3::Trailer")
@@ -209,15 +242,22 @@
 
         def update_capture_options():
             if self.op_AND_button.props.active:
-                self.packet_capture_options.mode = ns.visualizer.PyViz.PACKET_CAPTURE_FILTER_HEADERS_AND
+                self.packet_capture_options.mode = (
+                    ns.visualizer.PyViz.PACKET_CAPTURE_FILTER_HEADERS_AND
+                )
             else:
-                self.packet_capture_options.mode = ns.visualizer.PyViz.PACKET_CAPTURE_FILTER_HEADERS_OR
+                self.packet_capture_options.mode = (
+                    ns.visualizer.PyViz.PACKET_CAPTURE_FILTER_HEADERS_OR
+                )
             self.packet_capture_options.numLastPackets = 100
-            self.packet_capture_options.headers = [c.typeid for c in self.packet_filter_list if c.selected]
+            self.packet_capture_options.headers = [
+                c.typeid for c in self.packet_filter_list if c.selected
+            ]
             self.visualizer.simulation.lock.acquire()
             try:
                 self.visualizer.simulation.sim_helper.SetPacketCaptureOptions(
-                    self.node.GetId(), self.packet_capture_options)
+                    self.node.GetId(), self.packet_capture_options
+                )
             finally:
                 self.visualizer.simulation.lock.release()
 
@@ -240,7 +280,9 @@
         op_buttons_box.show()
         packet_filter_vbox.pack_start(op_buttons_box, False, False, 4)
         self.op_AND_button = GObject.new(Gtk.RadioButton, label="AND", visible=True)
-        self.op_OR_button = GObject.new(Gtk.RadioButton, label="OR", visible=True, group=self.op_AND_button)
+        self.op_OR_button = GObject.new(
+            Gtk.RadioButton, label="OR", visible=True, group=self.op_AND_button
+        )
         op_buttons_box.add(self.op_AND_button)
         op_buttons_box.add(self.op_OR_button)
         self.op_OR_button.props.active = True
@@ -249,6 +291,7 @@
 
         def cell_edited(l, obj, attribute):
             update_capture_options()
+
         self.packet_filter_widget.connect("cell-edited", cell_edited)
 
         update_capture_options()
@@ -291,5 +334,6 @@
     menu_item.connect("activate", _show_it)
     menu.add(menu_item)
 
+
 def register(viz):
     viz.connect("populate-node-menu", populate_node_menu)
